%define module Tk
Name: perl-%module
Version: 804.025
%define pre _beta6
Release: alt3

Summary: Perl modules providing the Tk graphics library
License: GPL/Artistic/Tk/Tix (see docs)
Group: Development/Perl

Url: http://search.cpan.org/dist/Tk/
Source: %module-%version%pre.tar.bz2

Patch: %name-804.025-alt-syntax.patch

Provides: perl-Tk-JPEG
Obsoletes: perl-Tk-JPEG

# MMutil is used to build the package itself
%add_findreq_skiplist */MMutil.pm

# Automatically added by buildreq on Wed Oct 01 2003 (-bi)
BuildRequires: XFree86-devel libjpeg-devel libpng-devel perl-devel perl-i18n zlib-devel

# demos/widget_lib is a separate library tree
%define _perl_lib_path %perl_vendor_archlib/%module/demos/widget_lib

%description
This is a set of Perl modules which provide access to the Tk library, 
a Graphical User Interface ToolKit.

%prep
%setup -q -n %module-%version%pre
%patch -p1
%__rm -rfv PNG/zlib PNG/libpng

%__perl -pi -e 's|^#!.*perl(5\.005)?|#!%__perl|' `grep -lr '^#!.*perl' .`
bzip2 -9 Change.log
(
    cd pTk
    for f in license.*; do
	%__mv $f pTk.$f
    done
)

%build

# disable tests by default, since they require X11 server
%def_without test

# but set the default DISPLAY when tests enabled
%if_with test
%define _build_display :0
%endif

%def_enable Werror
%perl_vendor_build

%install
%perl_vendor_install

# remove unnesessary file
%__rm -fv %buildroot%perl_vendor_archlib/Tk/reindex.pl

%files
%doc COPYING README README.linux Change* Funcs.doc PPM-HowTo ToDo pTk/*license*
%_bindir/*
%_man1dir/*
%perl_vendor_archlib/Tie*
%perl_vendor_archlib/Tk*
%perl_vendor_autolib/Tk*
%perl_vendor_man3dir/*

%changelog
* Tue Nov 18 2003 Alexey Tourbin <at@altlinux.ru> 804.025-alt3
- 804.025_beta6; status: 1/2537 subtests failed, 99.96% okay
- remove zlib and libpng included at %%prep stage

* Thu Oct 23 2003 Alexey Tourbin <at@altlinux.ru> 804.025-alt2
- 804.025_beta3; status: 7/2541 subtests failed, 99.72% okay
- build with -Werror by default
- alt-syntax.patch updated
- ignore MMutil.pm dependency on MakeMaker

* Wed Oct 01 2003 Alexey Tourbin <at@altlinux.ru> 804.025-alt1
- 804.025 (Sep 27 snapshot)
- Provides, Obsoletes: perl-Tk-JPEG
- Sisyphus release (8/2541 subtests failed, 99.69% okay)

* Sat Jul 26 2003 Alexey Tourbin <at@altlinux.ru> 804.024-alt1.pl0.1
- moved to 804 branch with unicode support (804.024.patches-0.1)
- general specfile revision/cleanup; License tag corrected
- Daedalus release (2/30 test fail)

* Tue Nov 05 2002 Stanislav Ievlev <inger@altlinux.ru> 800.024-alt2
- rebuild with new perl

* Mon Mar 25 2002 Grigory Milev <week@altlinux.ru> 800.024-alt1
- new version release (bug fixes)
- fix build requires
- spec cleanup (optimize perl regexp)

* Thu Mar 21 2002 Mikhail Zabaluev <mhz@altlinux.ru> 800.023-alt2
- Fixed an insanely long perlfix script
- Corrected license information and files
- Compressed Change.log
- Minor fixes in build scripts and file lists

* Tue Jul 17 2001 Grigory Milev <week@altlinux.ru> 800.023-alt1
- First build for Sisyphus

